Package com.sas.metadata.remote

# Interface Text

All Superinterfaces:
  `CMetadata`, `ContentLocation`, `DeployedDataPackage`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

All Known Subinterfaces:
  `ArchiveEntry`, `ArchiveFile`, `Document`, `File`, `SASCatalogEntry`, `TextStore`

public interface Text extends ContentLocation
The superclass for files, SAS catalog entries and text stored in the repository itself.

Attributes of Text are:

- `TextRole`
- `TextType`

Associations of Text are:

- `AssociatedType`
- `AssociatedProperty`
- `AssociatedQueryClause`
- `AssociatedTrainedResult`
- `AssociatedTransformation`
- `Targets`

## Usage

To create an instance of this Text, use the `factory` create methods.
Example: create a Text with name "Text_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Text myObject = (Text) factory.createComplexMetadataObject(objectStore, "Text_Object", MetadataObjects.TEXT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ASSOCIATEDPROPERTY_NAME`
  Constant used for the name of the AssociatedProperty association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDQUERYCLAUSE_NAME`
  Constant used for the name of the AssociatedQueryClause association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDTRAINEDRESULT_NAME`
  Constant used for the name of the AssociatedTrainedResult association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME`
  Constant used for the name of the AssociatedTransformation association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDTYPE_NAME`
  Constant used for the name of the AssociatedType association.
  `static final String`
  `ASSOCIATION_TARGETS_NAME`
  Constant used for the name of the Targets association.
  `static final String`
  `ATTRIBUTE_TEXTROLE_NAME`
  Constant used for the name of the TextRole attribute.
  `static final String`
  `ATTRIBUTE_TEXTTYPE_NAME`
  Constant used for the name of the TextType attribute.

  ### Fields inherited from interface com.sas.metadata.remote.ContentLocation

  `ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME, ASSOCIATION_FILEREFS_NAME, ASSOCIATION_REPORTS_NAME, ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME, ASSOCIATION_UNITOFTIMES_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractProperty`
  `getAssociatedProperty()`
  Gets the `AbstractProperty` for `AssociatedProperty`
  `AssociationList`
  `getAssociatedPropertys()`
  Gets the Association list of `AssociatedPropertys`
  `AssociationList`
  `getAssociatedPropertys(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedPropertys`
  `QueryClause`
  `getAssociatedQueryClause()`
  Gets the `QueryClause` for `AssociatedQueryClause`
  `AssociationList`
  `getAssociatedQueryClauses()`
  Gets the Association list of `AssociatedQueryClauses`
  `AssociationList`
  `getAssociatedQueryClauses(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedQueryClauses`
  `MiningResult`
  `getAssociatedTrainedResult()`
  Gets the `MiningResult` for `AssociatedTrainedResult`
  `AssociationList`
  `getAssociatedTrainedResults()`
  Gets the Association list of `AssociatedTrainedResults`
  `AssociationList`
  `getAssociatedTrainedResults(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedTrainedResults`
  `AbstractTransformation`
  `getAssociatedTransformation()`
  Gets the `AbstractTransformation` for `AssociatedTransformation`
  `AssociationList`
  `getAssociatedTransformations()`
  Gets the Association list of `AssociatedTransformations`
  `AssociationList`
  `getAssociatedTransformations(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedTransformations`
  `PropertyType`
  `getAssociatedType()`
  Gets the `PropertyType` for `AssociatedType`
  `AssociationList`
  `getAssociatedTypes()`
  Gets the AssociationList of `AssociatedTypes`
  `AssociationList`
  `getAssociatedTypes(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedTypes`
  `AssociationList`
  `getTargets()`
  Gets the Association list of `Targets`
  `AssociationList`
  `getTargets(boolean fGoToServer)`
  Gets the Associationlist of `Targets`
  `String`
  `getTextRole()`
  Gets the `String` value of `TextRole`
  `int`
  `getTextRoleMaxLength()`
  Gets the maximum length of `TextRole`
  `int`
  `getTextRoleState()`
  Gets the Metadata State of `TextRole`
  `String`
  `getTextType()`
  Gets the `String` value of `TextType`
  `int`
  `getTextTypeMaxLength()`
  Gets the maximum length of `TextType`
  `int`
  `getTextTypeState()`
  Gets the Metadata State of `TextType`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `AssociatedType`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAssociatedProperty(AbstractProperty inObject)`
  Sets the `AssociatedPropertys` list 0th element to be `inObject`.
  `void`
  `setAssociatedPropertys(AssociationList list)`
  Sets the `AssociatedPropertys` list to be `list`.
  `void`
  `setAssociatedPropertys(AssociationList list, int state)`
  Sets the `AssociatedPropertys` list to be `list`.
  `void`
  `setAssociatedQueryClause(QueryClause inObject)`
  Sets the `AssociatedQueryClauses` list 0th element to be `inObject`.
  `void`
  `setAssociatedQueryClauses(AssociationList list)`
  Sets the `AssociatedQueryClauses` list to be `list`.
  `void`
  `setAssociatedQueryClauses(AssociationList list, int state)`
  Sets the `AssociatedQueryClauses` list to be `list`.
  `void`
  `setAssociatedTrainedResult(MiningResult inObject)`
  Sets the `AssociatedTrainedResults` list 0th element to be `inObject`.
  `void`
  `setAssociatedTrainedResults(AssociationList list)`
  Sets the `AssociatedTrainedResults` list to be `list`.
  `void`
  `setAssociatedTrainedResults(AssociationList list, int state)`
  Sets the `AssociatedTrainedResults` list to be `list`.
  `void`
  `setAssociatedTransformation(AbstractTransformation inObject)`
  Sets the `AssociatedTransformations` list 0th element to be `inObject`.
  `void`
  `setAssociatedTransformations(AssociationList list)`
  Sets the `AssociatedTransformations` list to be `list`.
  `void`
  `setAssociatedTransformations(AssociationList list, int state)`
  Sets the `AssociatedTransformations` list to be `list`.
  `void`
  `setAssociatedType(PropertyType inObject)`
  Sets the `AssociatedTypes` list 0th element to be `inObject`.
  `void`
  `setAssociatedTypes(AssociationList list)`
  Sets the `AssociatedTypes` list to be `list`.
  `void`
  `setAssociatedTypes(AssociationList list, int state)`
  Sets the `AssociatedTypes` list to be `list`.
  `void`
  `setTargets(AssociationList list)`
  Sets the `Targets` list to be `list`.
  `void`
  `setTargets(AssociationList inObjects, int state)`
  Sets the entire Targets list to match the passed in AssociationList, sets the state of the Targets
  `void`
  `setTextRole(String inTextRole)`
  Sets the `TextRole` value and sets the state to MetadataState.LOCAL.
  `void`
  `setTextRole(String inTextRole, int state)`
  Sets the `TextRole` Metadata State.
  `void`
  `setTextRoleState(int state)`
  Sets the Metadata State of `TextRole`.
  `void`
  `setTextType(String inTextType)`
  Sets the `TextType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setTextType(String inTextType, int state)`
  Sets the `TextType` Metadata State.
  `void`
  `setTextTypeState(int state)`
  Sets the Metadata State of `TextType`.

  ### Methods inherited from interface com.sas.metadata.remote.ContentLocation

  `getAssociatedContentType, getAssociatedContentTypes, getAssociatedContentTypes, getFileRefs, getFileRefs, getReports, getReports, getTSAssociatedNamespace, getTSAssociatedNamespaces, getTSAssociatedNamespaces, getUnitofTimes, getUnitofTimes, setAssociatedContentType, setAssociatedContentTypes, setAssociatedContentTypes, setFileRefs, setFileRefs, setReports, setReports, setTSAssociatedNamespace, setTSAssociatedNamespaces, setTSAssociatedNamespaces, setUnitofTimes, setUnitofTimes`

  ### Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_TEXTROLE_NAME

    static final String ATTRIBUTE_TEXTROLE_NAME
    Constant used for the name of the TextRole attribute.

    TextRole: Description of the contents of the StoredText. For example: SourceCode, Note.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_TEXTTYPE_NAME

    static final String ATTRIBUTE_TEXTTYPE_NAME
    Constant used for the name of the TextType attribute.

    TextType: This describes the content of the object. This could be XML, HTML, PlainText, etc.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDTYPE_NAME

    static final String ASSOCIATION_ASSOCIATEDTYPE_NAME
    Constant used for the name of the AssociatedType association.

    AssociatedType: The datatype that is configured by this object.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDPROPERTY_NAME

    static final String ASSOCIATION_ASSOCIATEDPROPERTY_NAME
    Constant used for the name of the AssociatedProperty association.

    AssociatedProperty: The Property object that is configured by the XML in this object.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDQUERYCLAUSE_NAME

    static final String ASSOCIATION_ASSOCIATEDQUERYCLAUSE_NAME
    Constant used for the name of the AssociatedQueryClause association.

    AssociatedQueryClause: The query clause for this source code.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDTRAINEDRESULT_NAME

    static final String ASSOCIATION_ASSOCIATEDTRAINEDRESULT_NAME
    Constant used for the name of the AssociatedTrainedResult association.

    AssociatedTrainedResult: The model retrained by this code.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME

    static final String ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME
    Constant used for the name of the AssociatedTransformation association.

    AssociatedTransformation: The transformation that uses this source code.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TARGETS_NAME

    static final String ASSOCIATION_TARGETS_NAME
    Constant used for the name of the Targets association.

    Targets: The targets that this text object provides information about.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `ContentLocation`
    Specified by:
      `initializeRequiredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `AssociatedType`
    Specified by:
      `initializePredObjects` in interface `ContentLocation`
    Specified by:
      `initializePredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTextRole

    String getTextRole() throws RemoteException
    Gets the `String` value of `TextRole`
    Returns:
      The `TextRole`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTextRoleState

    int getTextRoleState() throws RemoteException
    Gets the Metadata State of `TextRole`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTextRoleMaxLength

    int getTextRoleMaxLength() throws RemoteException
    Gets the maximum length of `TextRole`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTextType

    String getTextType() throws RemoteException
    Gets the `String` value of `TextType`
    Returns:
      The `TextType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTextTypeState

    int getTextTypeState() throws RemoteException
    Gets the Metadata State of `TextType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTextTypeMaxLength

    int getTextTypeMaxLength() throws RemoteException
    Gets the maximum length of `TextType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAssociatedTypes

    AssociationList getAssociatedTypes() throws RemoteException, MdException
    Gets the AssociationList of `AssociatedTypes`
    Returns:
      Returns the AssociationList of `AssociatedTypes` which can be of type:
      PropertyType
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getAssociatedType

    PropertyType getAssociatedType() throws RemoteException, MdException
    Gets the `PropertyType` for `AssociatedType`
    Returns:
      The `PropertyType` ( `null` if not set) of `AssociatedType`which can be of type:
      PropertyType
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedPropertys

    AssociationList getAssociatedPropertys() throws RemoteException, MdException
    Gets the Association list of `AssociatedPropertys`
    Returns:
      The AssociationList of `AssociatedPropertys` which can be of type:
      AbstractProperty
      Property
      PrototypeProperty
      AttributeProperty
      AssociationProperty
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedProperty

    AbstractProperty getAssociatedProperty() throws RemoteException, MdException
    Gets the `AbstractProperty` for `AssociatedProperty`
    Returns:
      The `AbstractProperty` ( `null` if not set ) of `AssociatedProperty` which can be of type:
      AbstractProperty
      Property
      PrototypeProperty
      AttributeProperty
      AssociationProperty
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedQueryClauses

    AssociationList getAssociatedQueryClauses() throws RemoteException, MdException
    Gets the Association list of `AssociatedQueryClauses`
    Returns:
      The AssociationList of `AssociatedQueryClauses` which can be of type:
      QueryClause
      WhereClause
      RowSelector
      GroupByClause
      HavingClause
      OrderByClause
      OnClause
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedQueryClause

    QueryClause getAssociatedQueryClause() throws RemoteException, MdException
    Gets the `QueryClause` for `AssociatedQueryClause`
    Returns:
      The `QueryClause` ( `null` if not set ) of `AssociatedQueryClause` which can be of type:
      QueryClause
      WhereClause
      RowSelector
      GroupByClause
      HavingClause
      OrderByClause
      OnClause
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTrainedResults

    AssociationList getAssociatedTrainedResults() throws RemoteException, MdException
    Gets the Association list of `AssociatedTrainedResults`
    Returns:
      The AssociationList of `AssociatedTrainedResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTrainedResult

    MiningResult getAssociatedTrainedResult() throws RemoteException, MdException
    Gets the `MiningResult` for `AssociatedTrainedResult`
    Returns:
      The `MiningResult` ( `null` if not set ) of `AssociatedTrainedResult` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTransformations

    AssociationList getAssociatedTransformations() throws RemoteException, MdException
    Gets the Association list of `AssociatedTransformations`
    Returns:
      The AssociationList of `AssociatedTransformations` which can be of type:
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTransformation

    AbstractTransformation getAssociatedTransformation() throws RemoteException, MdException
    Gets the `AbstractTransformation` for `AssociatedTransformation`
    Returns:
      The `AbstractTransformation` ( `null` if not set ) of `AssociatedTransformation` which can be of type:
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTargets

    AssociationList getTargets() throws RemoteException, MdException
    Gets the Association list of `Targets`
    Returns:
      The AssociationList of `Targets` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTypes

    AssociationList getAssociatedTypes(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedTypes`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `AssociatedTypes` which can be of type:
      PropertyType
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedPropertys

    AssociationList getAssociatedPropertys(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedPropertys`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedPropertys` which can be of type:
      AbstractProperty
      Property
      PrototypeProperty
      AttributeProperty
      AssociationProperty
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedQueryClauses

    AssociationList getAssociatedQueryClauses(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedQueryClauses`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedQueryClauses` which can be of type:
      QueryClause
      WhereClause
      RowSelector
      GroupByClause
      HavingClause
      OrderByClause
      OnClause
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTrainedResults

    AssociationList getAssociatedTrainedResults(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedTrainedResults`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedTrainedResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedTransformations

    AssociationList getAssociatedTransformations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedTransformations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AssociatedTransformations` which can be of type:
      AbstractTransformation
      TransformationStep
      SyncStep
      TransformationActivity
      FeatureMap
      ColumnHierarchy
      Transformation
      ClassifierMap
      Select
      Join
      AbstractJob
      Job
      JFJob
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTargets

    AssociationList getTargets(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Targets`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Targets` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setTextRole

    void setTextRole(String inTextRole) throws RemoteException
    Sets the `TextRole` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inTextRole` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTextRole

    void setTextRole(String inTextRole, int state) throws RemoteException
    Sets the `TextRole` Metadata State.
    Parameters:
      `inTextRole` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTextRoleState

    void setTextRoleState(int state) throws RemoteException
    Sets the Metadata State of `TextRole`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTextType

    void setTextType(String inTextType) throws RemoteException
    Sets the `TextType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inTextType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTextType

    void setTextType(String inTextType, int state) throws RemoteException
    Sets the `TextType` Metadata State.
    Parameters:
      `inTextType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTextTypeState

    void setTextTypeState(int state) throws RemoteException
    Sets the Metadata State of `TextType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTypes

    void setAssociatedTypes(AssociationList list) throws RemoteException
    Sets the `AssociatedTypes` list to be `list`. Object of which can be of type:
    PropertyType
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTypes

    void setAssociatedTypes(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedTypes` list to be `list`. Object of which can be of type:
    PropertyType
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedType

    void setAssociatedType(PropertyType inObject) throws RemoteException
    Sets the `AssociatedTypes` list 0th element to be `inObject`.
    Parameters:
      `inObject` - PropertyType
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedPropertys

    void setAssociatedPropertys(AssociationList list) throws RemoteException
    Sets the `AssociatedPropertys` list to be `list`. Objects of which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedPropertys

    void setAssociatedPropertys(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedPropertys` list to be `list`. Objects of which can be of type:
    AbstractProperty
    Property
    PrototypeProperty
    AttributeProperty
    AssociationProperty
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedProperty

    void setAssociatedProperty(AbstractProperty inObject) throws RemoteException
    Sets the `AssociatedPropertys` list 0th element to be `inObject`.
    Parameters:
      `inObject` - AbstractProperty
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedQueryClauses

    void setAssociatedQueryClauses(AssociationList list) throws RemoteException
    Sets the `AssociatedQueryClauses` list to be `list`. Objects of which can be of type:
    QueryClause
    WhereClause
    RowSelector
    GroupByClause
    HavingClause
    OrderByClause
    OnClause
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedQueryClauses

    void setAssociatedQueryClauses(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedQueryClauses` list to be `list`. Objects of which can be of type:
    QueryClause
    WhereClause
    RowSelector
    GroupByClause
    HavingClause
    OrderByClause
    OnClause
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedQueryClause

    void setAssociatedQueryClause(QueryClause inObject) throws RemoteException
    Sets the `AssociatedQueryClauses` list 0th element to be `inObject`.
    Parameters:
      `inObject` - QueryClause
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTrainedResults

    void setAssociatedTrainedResults(AssociationList list) throws RemoteException
    Sets the `AssociatedTrainedResults` list to be `list`. Objects of which can be of type:
    MiningResult
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTrainedResults

    void setAssociatedTrainedResults(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedTrainedResults` list to be `list`. Objects of which can be of type:
    MiningResult
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTrainedResult

    void setAssociatedTrainedResult(MiningResult inObject) throws RemoteException
    Sets the `AssociatedTrainedResults` list 0th element to be `inObject`.
    Parameters:
      `inObject` - MiningResult
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTransformations

    void setAssociatedTransformations(AssociationList list) throws RemoteException
    Sets the `AssociatedTransformations` list to be `list`. Objects of which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTransformations

    void setAssociatedTransformations(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedTransformations` list to be `list`. Objects of which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedTransformation

    void setAssociatedTransformation(AbstractTransformation inObject) throws RemoteException
    Sets the `AssociatedTransformations` list 0th element to be `inObject`.
    Parameters:
      `inObject` - AbstractTransformation
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTargets

    void setTargets(AssociationList list) throws RemoteException
    Sets the `Targets` list to be `list`. Objects of which can be of type:
    Target
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTargets

    void setTargets(AssociationList inObjects, int state) throws RemoteException
    Sets the entire Targets list to match the passed in AssociationList, sets the state of the Targets
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.